
Redmine - Feature #5541

Project Status "Closed"

2010-05-17 17:14 - Luc WILPUTTE

Status: Closed Start date: 2010-05-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi all,

It would be very usefull to have an additionnal status except Active or Archived :  "Closed"

The problem is that some users have to keep projects active to leave access to users to project documents BUT they have to prohibit

developpers to fill a timesheet concerning projects that are closed...

So it would be usefull th have a "closed" status which keep a read only access to users but prevent any time recording in that closed

project.

Best regards.

Luc

Related issues:

Is duplicate of Redmine - Feature #3640: Freeze / Close Projects Closed 2009-07-20

History

#1 - 2010-05-17 17:15 - Luc WILPUTTE

Would be also necessary to "unclose" the closed projects of course... When needed...

#2 - 2010-05-18 20:30 - Eric Voisard

+1 It'd be very useful indeed...

Eric

#3 - 2010-05-19 04:51 - Darryl Winder

couldn't you get the same effect by just turning off edit permissions ? in our case we use groups and just demote the role of the group to 'reader' or

some such on that project. Not sure if that has the effect you are looking for on time recording though.

#4 - 2010-05-19 07:41 - Luc WILPUTTE

Of course there is a lot of work around but with such solutions the work to reach the goal is rather heavy...

Redmine is very powerfull concerning permissions.

You can, project by project assign different roles to different users.

But with the solution you propose... Imagine the work to realize that !

You have to create a role developper and also a developper read only, a project manager and a project manager read only etc etc and after, each

time you want to close a project, you have to change all the access you created. A lot of work for a basic stuf.

I add some precision to my suggestion in cas of not clear enough.

The goal is to close a project but leaving Read access to all defined members.

No more Issue creation, no more time logging, no more new comments, no more new documents etc...

Best regards.

#5 - 2010-05-25 03:01 - Mingcai SHEN

I just want to cancel one project then I found this problem.

A project can be turn to "Closed" and all the write access will be  disabled no need to modify permissions one by one, and the project name will be

display in "GRAY" or add a tag "CLOSED". I think this is what I want. Please add this feature in 1.0.0.

Thanks.

#6 - 2010-06-20 16:44 - Eric Voisard
Would it be a big deal to add such a "CLOSED" project status?

Here, we're dealing with many projects over time. We don't want to archive older ones because they contain all our past experience and we must

have access to this knowledge.

Otoh, these projects are (contractually) finished and we would like to clearly mark them as CLOSED, and make them read-only. This would be a

Project Management phase. Not the same as manually removing write permission for everybody in an "active" project...

Thanks, Eric

#7 - 2010-06-20 22:48 - Pedro Gutierrez

Not only that, I would suggest adding fields similar to an issue:

Configurable status. We have several: incubating, open and closed

Assigned to:person in charge

Category: This would be grate to associate each to the department in charge

% done

Estimated time

... And on  and on

In fact, for me, projects are just some sort of superissues. Providing them with the same characteristics of an issue would help us manage our

project portfolio just as we do with our issues portfolio within a project.

#8 - 2010-08-06 23:30 - Leandro Freidenberg

I´m very interested in the functionality just mentioned by Pedro.

Project may be treated in some cases as issues.

#9 - 2010-08-10 19:18 - Sylvain Guimond

Agree! +1

#10 - 2010-08-13 12:19 - Light Kong

+1

#11 - 2010-12-03 20:21 - Jan F Westerkamp

+1 as I will need it as soon as my 4 student projects end september 2011

#12 - 2011-05-03 21:22 - David Lyons

This is pretty annoying for us as well, there is a lot of knowledge in the old tickets that is not available simply because redmine is blocking access to

the archived projects tickets. It seems silly that the search is incapable of finding archived tickets.  Either make archived tickets searchable/viewable

or add a "Closed" Status.

#13 - 2011-07-25 10:17 - Reuben Mallaby

+1 I use Redmine to manage all our student and research projects - currently there are over 300 and changing role permissions takes ages with so

many projects.

#14 - 2011-08-18 12:14 - Etienne Massip

- Category set to Projects

#15 - 2011-12-15 11:57 - Eric Voisard

How can it be that Redmine team find fixing code for Internet Explorer 6 support more important than to add a useful feature for managing projects...

Here we have many projects and Redmine becomes unpractical. Come on, giving a closed status to a project isn't that unusual in PM...

#16 - 2012-01-06 20:39 - Sebastian M

Watched.

My key requirement is to have the knowledge contained in an archived project be searchable.

#17 - 2012-02-06 16:42 - Brian Heasley

+1

Similar to this request:  #8681

#18 - 2012-06-25 20:57 - Jean-Philippe Lang
https://www.redmine.org/issues/8681


- Status changed from New to Closed

- Resolution set to Duplicate

Same as #3640 planned for 2.1.0.
